import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
import {ViewModus} from '../dao/viewModus';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss']
})
export class FooterComponent implements OnInit {
  view = 'desktopView';

  constructor(private router: Router,
              private screen: ViewModus) {
    screen.$view.subscribe(
        view => {
          this.view = view;
        });
  }

  ngOnInit(): void {
    this.view = this.screen.actuallView;
  }

  toImpressum(): void {
    this.router.navigate(['impressum']);
  }
}
